"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestTransaction = void 0;
const common_1 = require("@nestjs/common");
const transaction_interceptor_1 = require("./transaction.interceptor");
const typeorm_als_constants_1 = require("./typeorm-als.constants");
function RequestTransaction(options) {
    return (0, common_1.applyDecorators)((0, common_1.SetMetadata)(typeorm_als_constants_1.TRANSACTIONAL_OPTIONS, options), (0, common_1.UseInterceptors)(transaction_interceptor_1.TransactionInterceptor));
}
exports.RequestTransaction = RequestTransaction;
